[PATCH v1 06/11] selftests: forwarding: ip6gre_custom_multipath_hash.sh: add cleanup for SIGTERM sent by timeout

From: Mirsad Todorovac
Date: Fri Jul 21 2023 - 20:37:43 EST


Add trap and cleanup for SIGTERM sent by timeout and SIGINT from
keyboard, for the test times out and leaves incoherent network stack.

Fixes: b7715acba4d3d ("selftests: forwarding: Add test for custom multipath hash with IPv6 GRE")
Cc: Ido Schimmel <idosch@xxxxxxxxxx>
Cc: netdev@xxxxxxxxxxxxxxx
---
.../selftests/net/forwarding/ip6gre_custom_multipath_hash.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/forwarding/ip6gre_custom_multipath_hash.sh b/tools/testing/selftests/net/forwarding/ip6gre_custom_multipath_hash.sh
index d40183b4eccc..ea6270ec7478 100755
--- a/tools/testing/selftests/net/forwarding/ip6gre_custom_multipath_hash.sh
+++ b/tools/testing/selftests/net/forwarding/ip6gre_custom_multipath_hash.sh
@@ -457,7 +457,7 @@ custom_hash()
sysctl_restore net.ipv6.fib_multipath_hash_policy
}

-trap cleanup EXIT
+trap cleanup INT TERM EXIT

setup_prepare
setup_wait
--
2.34.1